summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorLiang Qi <liang.qi@qt.io>2017-12-04 14:17:24 +0100
committerLiang Qi <liang.qi@qt.io>2017-12-04 14:17:33 +0100
commit1f4d72757063737718b5c4c83bd6187315f50d53 (patch)
treeef07320c23d7cce9a1a662b5cfda7106d085abba
parentf8712c099da9e928a388febafe5433cf15297847 (diff)
parentadcdf7b49f52e745009ff7e37e07c2d831ad82dc (diff)
Merge remote-tracking branch 'origin/5.10.0' into 5.10
-rw-r--r--coin/provisioning/common/cmake.ps13
-rw-r--r--coin/provisioning/common/install-commandlinetools.sh88
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.4-x86_64/003-install-devtoolset.sh (renamed from coin/provisioning/qtci-linux-RHEL-7.4-x86_64/003-install-devtoolset6.sh)4
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.4-x86_64/004-install-packages.sh5
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.4-x86_64/010-openssl_for_android_linux.sh2
-rwxr-xr-xcoin/provisioning/qtci-linux-RHEL-7.4-x86_64/08-pythondev.sh63
-rwxr-xr-x[-rw-r--r--]coin/provisioning/qtci-linux-RHEL-7.4-x86_64/mqtt_broker.sh (renamed from coin/provisioning/qtci-linux-RHEL-7.2-x86_64/mqtt_broker.sh)0
-rwxr-xr-x[-rw-r--r--]coin/provisioning/qtci-macos-10.12-x86_64/021-install-commandlinetools.sh (renamed from coin/provisioning/qtci-linux-RHEL-7.2-x86_64/001-refresh-subscription-manager.sh)14
-rwxr-xr-xcoin/provisioning/qtci-osx-10.11-x86_64/021-install-commandlinetools.sh43
9 files changed, 215 insertions, 7 deletions
diff --git a/coin/provisioning/common/cmake.ps1 b/coin/provisioning/common/cmake.ps1
index 1716467c..d7e26556 100644
--- a/coin/provisioning/common/cmake.ps1
+++ b/coin/provisioning/common/cmake.ps1
@@ -40,6 +40,9 @@ $zip = "c:\users\qt\downloads\cmake-" + $version + "-win32-x86.zip"
$officialurl = "https://cmake.org/files/v" + $majorminorversion + "/cmake-" + $version + "-win32-x86.zip"
$cachedurl = "\\ci-files01-hki.intra.qt.io\provisioning\cmake\cmake-" + $version + "-win32-x86.zip"
+echo "Removing old cmake"
+Remove-Item "C:\CMake" -Force -Recurse -ErrorAction SilentlyContinue
+
Download $officialurl $cachedurl $zip
Verify-Checksum $zip "541F6E7EFD228E46770B8631FFE57097576E4D4E"
diff --git a/coin/provisioning/common/install-commandlinetools.sh b/coin/provisioning/common/install-commandlinetools.sh
new file mode 100644
index 00000000..fbebdba8
--- /dev/null
+++ b/coin/provisioning/common/install-commandlinetools.sh
@@ -0,0 +1,88 @@
+#!/bin/bash
+
+#############################################################################
+##
+## Copyright (C) 2017 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the test suite of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+source "${BASH_SOURCE%/*}/DownloadURL.sh"
+source "${BASH_SOURCE%/*}/try_catch.sh"
+set -ex
+
+# Command line tools is need by homebrew
+
+function InstallCommandLineTools {
+
+ ExceptionMount=101
+ ExceptionInstall=102
+ ExceptionUnmount=103
+
+ url=$1
+ url_alt=$2
+ expectedSha1=$3
+ packageName=$4
+ version=$5
+
+ try
+ (
+ DownloadURL $url $url_alt $expectedSha1 /tmp/$packageName
+ echo "Mounting $packageName"
+ hdiutil attach /tmp/$packageName || throw $ExceptionMount
+ cd "/Volumes/Command Line Developer Tools"
+ echo "Installing"
+ sudo installer -verbose -pkg *.pkg -target / || throw $ExceptionInstall
+ cd /
+ # Let's fait for 5 second before unmounting. Sometimes resource is busy and cant be unmounted
+ sleep 3
+ echo "Unmounting"
+ umount /Volumes/Command\ Line\ Developer\ Tools/ || throw $ExceptionUnmount
+ echo "Removing $packageName"
+ rm /tmp/$packageName
+
+ echo "Command Line Tools = $version" >> ~/versions.txt
+ )
+ catch || {
+ case $ex_code in
+ $ExceptionMount)
+ echo "Failed to mount"
+ exit 1;
+ ;;
+ $ExceptionInstall)
+ echo "Failed to mount"
+ exit 1;
+ ;;
+ $ExceptionUnmount)
+ echo "Failed to mount"
+ exit 1;
+
+ esac
+ }
+
+}
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/003-install-devtoolset6.sh b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/003-install-devtoolset.sh
index ef65b881..439e2db5 100755
--- a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/003-install-devtoolset6.sh
+++ b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/003-install-devtoolset.sh
@@ -34,7 +34,7 @@
#############################################################################
sudo yum-config-manager --enable rhel-server-rhscl7-rpms
-sudo yum -y install devtoolset-6
+sudo yum -y install devtoolset-4
-echo "source /opt/rh/devtoolset-6/enable" >> ~/.bashrc
+echo "source /opt/rh/devtoolset-4/enable" >> ~/.bashrc
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/004-install-packages.sh b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/004-install-packages.sh
index f7c6b694..b6e8a5da 100755
--- a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/004-install-packages.sh
+++ b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/004-install-packages.sh
@@ -87,6 +87,8 @@ sudo yum -y install gperf
sudo yum -y install alsa-lib-devel
sudo yum -y install pulseaudio-libs-devel
sudo yum -y install libXtst-devel
+sudo yum -y install nspr-devel
+sudo yum -y install nss-devel
# For Android builds
sudo yum -y install java-1.8.0-openjdk-devel
@@ -96,3 +98,6 @@ sudo yum -y install perl-Digest-SHA
# INTEGRITY requirements
sudo yum -y install glibc.i686
+
+# Enable Qt Bluetooth
+sudo yum -y install bluez-libs-devel
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/010-openssl_for_android_linux.sh b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/010-openssl_for_android_linux.sh
index 05b73729..b69295fc 100755
--- a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/010-openssl_for_android_linux.sh
+++ b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/010-openssl_for_android_linux.sh
@@ -33,5 +33,5 @@
##
#############################################################################
-source /opt/rh/devtoolset-6/enable
+source /opt/rh/devtoolset-4/enable
source "${BASH_SOURCE%/*}/../common/openssl_for_android_linux.sh"
diff --git a/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/08-pythondev.sh b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/08-pythondev.sh
new file mode 100755
index 00000000..6ae0f820
--- /dev/null
+++ b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/08-pythondev.sh
@@ -0,0 +1,63 @@
+#!/bin/bash
+
+#############################################################################
+##
+## Copyright (C) 2017 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the provisioning scripts of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+
+source "${BASH_SOURCE%/*}/../common/DownloadURL.sh"
+
+set -ex
+
+packageEpel="epel-release-latest-7.noarch.rpm"
+OfficialUrl="https://dl.fedoraproject.org/pub/epel/$packageEpel"
+CachedUrl="http://ci-files01-hki.intra.qt.io/input/redhat/$packageEpel"
+SHA1="5512b80e5b71f2370d8419fa16a0bc14c5edf854"
+
+DownloadURL $OfficialUrl $CachedUrl $SHA1 ./$packageEpel
+sudo rpm -Uvh $packageEpel
+sudo rm -f $packageEpel
+
+# install python3
+sudo yum install -y python34-devel
+
+# install pip3
+
+packagePip="get-pip.py"
+OfficialUrlPip="https://bootstrap.pypa.io/$packagePip"
+CachedUrlPip="http://ci-files01-hki.intra.qt.io/input/redhat/$packagePip"
+SHA1Pip="3d45cef22b043b2b333baa63abaa99544e9c031d"
+
+DownloadURL $OfficialUrlPip $CachedUrlPip $SHA1Pip ./$packagePip
+sudo python3 $packagePip
+sudo rm -f $packagePip
+sudo pip3 install virtualenv
+
diff --git a/coin/provisioning/qtci-linux-RHEL-7.2-x86_64/mqtt_broker.sh b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/mqtt_broker.sh
index e367c20b..e367c20b 100644..100755
--- a/coin/provisioning/qtci-linux-RHEL-7.2-x86_64/mqtt_broker.sh
+++ b/coin/provisioning/qtci-linux-RHEL-7.4-x86_64/mqtt_broker.sh
diff --git a/coin/provisioning/qtci-linux-RHEL-7.2-x86_64/001-refresh-subscription-manager.sh b/coin/provisioning/qtci-macos-10.12-x86_64/021-install-commandlinetools.sh
index 4a61bed1..b460cc02 100644..100755
--- a/coin/provisioning/qtci-linux-RHEL-7.2-x86_64/001-refresh-subscription-manager.sh
+++ b/coin/provisioning/qtci-macos-10.12-x86_64/021-install-commandlinetools.sh
@@ -1,11 +1,11 @@
#!/bin/bash
+
#############################################################################
##
## Copyright (C) 2017 The Qt Company Ltd.
-## Copyright (C) 2017 Pelagicore AG
## Contact: http://www.qt.io/licensing/
##
-## This file is part of the provisioning scripts of the Qt Toolkit.
+## This file is part of the test suite of the Qt Toolkit.
##
## $QT_BEGIN_LICENSE:LGPL21$
## Commercial License Usage
@@ -32,6 +32,12 @@
## $QT_END_LICENSE$
##
#############################################################################
+source "${BASH_SOURCE%/*}/../common/install-commandlinetools.sh"
+
+version="8.3.2"
+packageName="CommandLineToolsforXcode$version.dmg"
+url="http://ci-files01-hki.intra.qt.io/input/mac/$packageName"
+sha1="da74b2bbf3058a0805c2d9f41ee5cf381d0e0ebe"
+
+InstallCommandLineTools $url $url $sha1 $packageName $version
-# refresh local certificates
-sudo subscription-manager refresh
diff --git a/coin/provisioning/qtci-osx-10.11-x86_64/021-install-commandlinetools.sh b/coin/provisioning/qtci-osx-10.11-x86_64/021-install-commandlinetools.sh
new file mode 100755
index 00000000..9145c12a
--- /dev/null
+++ b/coin/provisioning/qtci-osx-10.11-x86_64/021-install-commandlinetools.sh
@@ -0,0 +1,43 @@
+#!/bin/bash
+
+#############################################################################
+##
+## Copyright (C) 2017 The Qt Company Ltd.
+## Contact: http://www.qt.io/licensing/
+##
+## This file is part of the test suite of the Qt Toolkit.
+##
+## $QT_BEGIN_LICENSE:LGPL21$
+## Commercial License Usage
+## Licensees holding valid commercial Qt licenses may use this file in
+## accordance with the commercial license agreement provided with the
+## Software or, alternatively, in accordance with the terms contained in
+## a written agreement between you and The Qt Company. For licensing terms
+## and conditions see http://www.qt.io/terms-conditions. For further
+## information use the contact form at http://www.qt.io/contact-us.
+##
+## GNU Lesser General Public License Usage
+## Alternatively, this file may be used under the terms of the GNU Lesser
+## General Public License version 2.1 or version 3 as published by the Free
+## Software Foundation and appearing in the file LICENSE.LGPLv21 and
+## LICENSE.LGPLv3 included in the packaging of this file. Please review the
+## following information to ensure the GNU Lesser General Public License
+## requirements will be met: https://www.gnu.org/licenses/lgpl.html and
+## http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
+##
+## As a special exception, The Qt Company gives you certain additional
+## rights. These rights are described in The Qt Company LGPL Exception
+## version 1.1, included in the file LGPL_EXCEPTION.txt in this package.
+##
+## $QT_END_LICENSE$
+##
+#############################################################################
+source "${BASH_SOURCE%/*}/../common/install-commandlinetools.sh"
+
+version="8.2"
+packageName="Command_Line_Tools_macOS_10.11_for_Xcode_$version.dmg"
+url="http://ci-files01-hki.intra.qt.io/input/mac/$packageName"
+sha1="4df615ca765ac1a1e681ddcbca79fc15990e3b25"
+
+InstallCommandLineTools $url $url $sha1 $packageName $version
+